# Knative Community

Welcome to the Knative community!

This is the starting point for becoming a contributor - improving code,
improving docs, giving talks, etc.

*   [Introduction](#introduction)
*   [Knative authors](#knative-authors)
*   [Slack team](#slack-team)
*   [How can I help?](#how-can-i-help-)
*   [Questions and issues](#questions-and-issues)

Other Documents

*   [Code of Conduct](CODE-OF-CONDUCT.md) - all contributors must abide by the
    code of conduct
*   [Contributing to Knative](CONTRIBUTING.md) - guidelines and advice on
    becoming a contributor
*   [Working Groups](WORKING-GROUPS.md) - describes our various working groups
*   [Working Group Processes](WORKING-GROUP-PROCESSES.md) - describes how
    working groups operate
*   [Technical Oversight Committee](TECH-OVERSIGHT-COMMITTEE.md) - describes our
    technical oversight committee
*   [Steering Committee](STEERING-COMMITTEE.md) - describes our steering
    committee
*   [Community Roles](ROLES.md) - describes the roles individuals can assume
    within the Knative community
*   [Reviewing and Merging Pull Requests](REVIEWING.md) - how we manage pull
    requests

## Introduction

Knative is an open source specification and implementation of a serverless
container platform.

<!-- TODO Visit [knative.dev](https://knative.dev) for in-depth information about using
Knative. -->

## Knative authors

Knative is an open source project with an active development community. The
project was started by Google.

## Slack team

Real-time Knative discussion is available at https://knative.slack.com.

<!-- TODO ## Community meeting

We have [PUBLIC](TODO) and [RECORDED](TODO) bi-weekly community meetings every
other TODO. Meeting agendas and notes can be accessed in the [working
doc](TODO).

Map that to your local time with this [timezone
table](https://www.google.com/search?q=TODO). -->

## How can I help ?

<!-- TODO See our [community page](https://knative.dev/community) for ways to get involved
in our community. -->

<!-- TODO To dig deeper, check the
[architecture](https://knative.dev/docs/concepts/what-is-knative/overview.html#architecture)
and read some [design docs](./CONTRIBUTING.md#design-documents). -->

If you're looking for something to do to get your feet wet working on Knative,
look for GitHub issues marked with the Help Wanted label:

*   [Primary Knative
    repo](https://github.com/knative/serving/issues?q=is%3Aopen+is%3Aissue+label%3A%22community%2Fhelp+wanted%22)
*   [Documentation
    repo](https://github.com/knative/serving.dev/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22)

Of course, even if there's not an issue opened for it, we can always use more
testing throughout the platform. Similarly, we can always use more docs, richer
docs, insightful docs. Or maybe a cool blog post? And if you're a web developer,
we could use your help in spiffing up our public-facing web site.

## Questions and issues

<!-- TODO If you've got questions or issues with using Knative, checkout our [help
page](https://knative.dev/help). -->

If you're a developer trying to hack on or use the Knative code, head to
[knative-dev@](https://groups.google.com/forum/#!forum/knative-dev) or [Knative
Slack](https://knative.slack.com) for help.
